Bug 325536 - Muon does not focus the search bar after startup
Summary: Muon does not focus the search bar after startup
Status: RESOLVED FIXED
Alias: None
Product: muon
Classification: Unclassified
Component: muon (show other bugs)
Version: 2.0.1
Platform: Kubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Jonathan Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-02 09:14 UTC by Martin
Modified: 2016-01-11 13:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin 2013-10-02 09:14:45 UTC
After the start of muon the user has to click on the search bar to search. She cannot just start typing.

Reproducible: Always

Steps to Reproduce:
1. Start muon
2. type
Actual Results:  
Nothing happens.

Expected Results:  
the search field should be focused and used for typing.
Comment 1 Aleix Pol 2016-01-11 13:55:54 UTC
Git commit 8f21836cff78f9834f9052e301363f106d5d1ded by Aleix Pol, on behalf of Carlo Vanini.
Committed on 11/01/2016 at 13:49.
Pushed by apol into branch 'master'.

add keyboard shortcut to focus search box

Add keyboard shortcut to move focus to the search box, and give it focus at startup.

If the box is hidden, e.g. by changes preview, the focus is not changed. Otherwise you could change the content of the search box without seeing it.

(if accepted, please push it for me)

REVIEW: 126709
Related: bug 299763, bug 312568

M  +10   -0    src/MainWindow.cpp
M  +1    -0    src/MainWindow.h
M  +7    -0    src/PackageModel/PackageWidget.cpp
M  +1    -0    src/PackageModel/PackageWidget.h

http://commits.kde.org/muon/8f21836cff78f9834f9052e301363f106d5d1ded